---
updatedAt: 2025-06-25T21:54:21.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get related info of created offers

Return created offers related collections and markets of a wallet address.

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/address/created-offers/related-collections": {
      "get": {
        "tags": [
          "Address"
        ],
        "summary": "Get created offers related collections of an address",
        "description": "Return created offers related collections of a wallet address.",
        "operationId": "get_address_created_offers_related_info_eth_v1_address_created_offers_related_collections_get",
        "parameters": [
          {
            "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
            "required": false,
            "schema": {
              "title": "Address",
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string",
              "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
              "default": "0x5ac69c26a15cfaaeb066043dcc932f7d01faf182"
            },
            "example": "0x5ac69c26a15cfaaeb066043dcc932f7d01faf182",
            "name": "address",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressOfferListingRelatedCollections"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressOfferListingRelatedCollections": {
        "title": "AddressOfferListingRelatedCollections",
        "type": "object",
        "properties": {
          "collections": {
            "title": "Collections",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CollectionBaseInfo"
            }
          },
          "markets": {
            "title": "Markets",
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "A list of market name"
          }
        }
      },
      "CollectionBaseInfo": {
        "title": "CollectionBaseInfo",
        "type": "object",
        "properties": {
          "collection_id": {
            "title": "Collection Id",
            "type": "string",
            "description": "The collection id of the collection"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "Collection name",
            "example": "Bored Ape Yacht Club"
          },
          "logo": {
            "title": "Logo",
            "type": "string",
            "description": "The logo url or base64 encoded data of a collection",
            "example": "https://static.nftgo.io/asset/1651210195557.png"
          },
          "slug": {
            "title": "Slug",
            "type": "string",
            "description": "A slug is generated from a collection name by using applying lower-case to all letters in the collection name and replacing all spaces with a '-'",
            "example": "bored-ape-yacht-club"
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````